﻿
$ErrorActionPreference = 'Stop';

$packageName= 'gitea'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://dl.gitea.io/gitea/1.11.0/gitea-1.11.0-windows-4.0-386.exe'
$url64      = 'https://dl.gitea.io/gitea/1.11.0/gitea-1.11.0-windows-4.0-amd64.exe'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName

  url           = $url
  url64bit      = $url64

  softwareName  = 'Gitea'

  checksum      = 'de42de4fb30b1505352971b7c4060b0953f398672698133a29a46c76fdd72045'
  checksumType  = 'sha256'
  checksum64    = '836b2a72c3f01d824ecd2d82133d55879dbb803098f4c035039e4640f21524b4'
  checksumType64= 'sha256'

  fileFullPath  = "$toolsDir\gitea.exe"

  validExitCodes= @(0)
}

Get-ChocolateyWebFile @packageArgs
